POSTAuthentication
Get Auth Token
/api/v1/auth/tokenAuthenticate using client credentials and receive a Bearer access token. Token validity is 48 hours (172800 seconds).
Request Body Fields
| Field | Type | Required | Description |
|---|---|---|---|
client_id | string | Yes | Client ID (mapped to partner api_key) |
client_secret | string | Yes | Client secret (mapped to partner api_secret) |
Request Body Example
Example:
{
"client_id": "your_client_id",
"client_secret": "your_client_secret"
}Response
Success Response Example:
{
"success": true,
"data": {
"access_token": "pcpa_MQ.a0FwMy1LQjBwNVlzQmRiNGE4NlI3d...",
"token_type": "Bearer",
"expires_in": 172800,
"expires_at": "2026-03-11T14:03:49.757Z"
}
}Error Response
Error Example:
{
"success": false,
"error": {
"code": "AUTHENTICATION_FAILED",
"message": "Invalid client id or secret"
}
}Available Errors
| HTTP Status | Code | Meaning |
|---|---|---|
400 | INVALID_REQUEST | Missing required fields |
401 | AUTHENTICATION_FAILED | Invalid credentials |
403 | PARTNER_INACTIVE | Partner account inactive |